pub mod logos;

pub enum Os {
    ArchLinux,
}

impl Os {
    pub fn ascii_logo(self) -> &'static str {
        match self {
            Os::ArchLinux => logos::archlinux::ASCII_LOGO,
        }
    }

    pub fn name(self) -> &'static str {
        match self {
            Os::ArchLinux => "Arch Linux",
        }
    }
}
